<?php


namespace App\Models;


class UserLikeModel extends BaseModel
{
    protected $table = 'users_like';
    public $timestamps = false;
    protected $fillable = ['user_id', 'like_id','status','atime'];


    public function user()
    {
        return $this->belongsTo(User::class,'user_id','id');
    }

    public function user_info()
    {
        return $this->belongsTo(UserInfoModel::class,'user_id','user_id');
    }

    public function like_user()
    {
        return $this->belongsTo(User::class,'like_id','id');
    }

    public function like_user_info()
    {
        return $this->belongsTo(UserInfoModel::class,'like_id','user_id');
    }
}
